# Class connection

- Defined in File cql.hpp

## Class Documentation

class connection

  This connection class creates a SQLite environment with the data in the provided datablock as tables.

  Public Functions

  connection(datablock &db)

    Constructor.

  ~connection()

    Destructor.

  bool is_complete_statement(const std::string &sql) const

    Return true if the string sql contains a complete statement.

  result exec(std::string query)

    Execute the sql in query returning an iterable result.

  result exec(std::string query, std::string &tail)

    Execute the sql in query returning an iterable result. Updates tail with what remains after the first statement in query.

  bool is_modified() const

    Return true if the underlying data was modified by any query.

  Friends

  friend class transaction